Index: palm/trunk/SOURCE/Makefile_check
===================================================================
--- palm/trunk/SOURCE/Makefile_check	(revision 1310)
+++ palm/trunk/SOURCE/Makefile_check	(revision 1320)
@@ -20,5 +20,5 @@
 # Current revisions:
 # ------------------
-# 
+# cpu_log renamed cpulog, + mod_kinds in dependency list
 #
 # Former revisions:
@@ -69,9 +69,9 @@
 
 SOURCES = check_open.f90 check_namelist_files.f90 check_parameters.f90 \
-      close_file.f90 cpu_log.f90 cuda_fft_interfaces.f90 exchange_horiz.f90 \
+      close_file.f90 cpulog.f90 cuda_fft_interfaces.f90 exchange_horiz.f90 \
       exchange_horiz_2d.f90 fft_xy.f90 init_grid.f90 init_masks.f90 \
       init_cloud_physics.f90 init_pegrid.f90 local_flush.f90 local_stop.f90 \
-      local_system.f90 message.f90 modules.f90 package_parin.f90 parin.f90 \
-      poisfft.f90 random_function.f90 singleton.f90 \
+      local_system.f90 message.f90 modules.f90 mod_kinds.f90 package_parin.f90 \
+      parin.f90 poisfft.f90 random_function.f90 singleton.f90 \
       subsidence.f90 temperton_fft.f90 tridia_solver.f90 \
       user_3d_data_averaging.f90 user_actions.f90 \
@@ -115,52 +115,53 @@
 
 
-check_open.o: modules.o
-check_namelist_files.o: modules.o
-check_parameters.o: modules.o subsidence.o
-close_file.o: modules.o
-cpu_log.o: modules.o
-cuda_fft_interfaces.o: cuda_fft_interfaces.f90
-exchange_horiz.o: modules.o
-exchange_horiz_2d.o: modules.o
-fft_xy.o: cuda_fft_interfaces.o modules.o singleton.o temperton_fft.o
-init_cloud_physics.o: modules.o
-init_grid.o: modules.o
-init_masks.o: modules.o
-init_pegrid.o: modules.o
-local_stop.o: modules.o
-message.o: modules.o
-modules.o: modules.f90
-package_parin.o: modules.o
-parin.o: modules.o
-poisfft.o: modules.o fft_xy.o tridia_solver.o
-random_function.o: modules.o
-singleton.o: singleton.f90
-subsidence.o: modules.o
-temperton_fft.o: modules.o
-tridia_solver.o: modules.o
-user_3d_data_averaging.o: modules.o user_module.o
-user_actions.o: modules.o user_module.o
-user_additional_routines.o: modules.o user_module.o
-user_check_data_output.o: modules.o user_module.o
-user_check_data_output_pr.o: modules.o user_module.o
-user_check_parameters.o: modules.o user_module.o
-user_data_output_2d.o: modules.o user_module.o
-user_data_output_3d.o: modules.o user_module.o
-user_data_output_mask.o: modules.o user_module.o
-user_data_output_dvrp.o: modules.o user_module.o
-user_define_netcdf_grid.o: modules.o user_module.o
-user_dvrp_coltab.o: modules.o user_module.o
-user_header.o: modules.o user_module.o
-user_init.o: modules.o user_module.o
-user_init_3d_model.o: modules.o user_module.o
-user_init_grid.o: modules.o user_module.o
-user_init_plant_canopy.o: modules.o user_module.o
-user_last_actions.o: modules.o user_module.o
-user_lpm_advec.o: modules.o user_module.o
-user_lpm_init.o: modules.o user_module.o
-user_lpm_set_attributes.o: modules.o user_module.o
-user_module.o: user_module.f90
-user_parin.o: modules.o user_module.o
-user_read_restart_data.o: modules.o user_module.o
-user_spectra.o: modules.o user_module.o
-user_statistics.o: modules.o user_module.o
+check_open.o: modules.o mod_kinds.o
+check_namelist_files.o: modules.o mod_kinds.o
+check_parameters.o: modules.o mod_kinds.o subsidence.o
+close_file.o: modules.o mod_kinds.o
+cpulog.o: modules.o mod_kinds.o
+cuda_fft_interfaces.o: cuda_fft_interfaces.f90 modules.o mod_kinds.o
+exchange_horiz.o: modules.o cpulog.o mod_kinds.o
+exchange_horiz_2d.o: modules.o cpulog.o mod_kinds.o
+fft_xy.o: cuda_fft_interfaces.o modules.o mod_kinds.o singleton.o temperton_fft.o
+init_cloud_physics.o: modules.o mod_kinds.o
+init_grid.o: modules.o mod_kinds.o
+init_masks.o: modules.o mod_kinds.o
+init_pegrid.o: modules.o mod_kinds.o
+local_flush.o: mod_kinds.o
+local_stop.o: modules.o mod_kinds.o
+message.o: modules.o mod_kinds.o
+modules.o: modules.f90 mod_kinds.o
+mod_kinds.o: mod_kinds.f90
+package_parin.o: modules.o mod_kinds.o
+parin.o: modules.o cpulog.o mod_kinds.o
+poisfft.o: cpulog.o modules.o mod_kinds.o fft_xy.o tridia_solver.o
+singleton.o: mod_kinds.o singleton.f90
+subsidence.o: modules.o mod_kinds.o
+temperton_fft.o: modules.o mod_kinds.o
+tridia_solver.o: modules.o mod_kinds.o
+user_3d_data_averaging.o: modules.o mod_kinds.o user_module.o
+user_actions.o: cpulog.o modules.o mod_kinds.o user_module.o
+user_additional_routines.o: modules.o mod_kinds.o user_module.o
+user_check_data_output.o: modules.o mod_kinds.o user_module.o
+user_check_data_output_pr.o: modules.o mod_kinds.o user_module.o
+user_check_parameters.o: modules.o mod_kinds.o user_module.o
+user_data_output_2d.o: modules.o mod_kinds.o user_module.o
+user_data_output_3d.o: modules.o mod_kinds.o user_module.o
+user_data_output_mask.o: modules.o mod_kinds.o user_module.o
+user_data_output_dvrp.o: modules.o mod_kinds.o user_module.o
+user_define_netcdf_grid.o: modules.o mod_kinds.o user_module.o
+user_dvrp_coltab.o: modules.o mod_kinds.o user_module.o
+user_header.o: modules.o mod_kinds.o user_module.o
+user_init.o: modules.o mod_kinds.o user_module.o
+user_init_3d_model.o: modules.o mod_kinds.o user_module.o
+user_init_grid.o: modules.o mod_kinds.o user_module.o
+user_init_plant_canopy.o: modules.o mod_kinds.o user_module.o
+user_last_actions.o: modules.o mod_kinds.o user_module.o
+user_lpm_advec.o: modules.o mod_kinds.o user_module.o
+user_lpm_init.o: modules.o mod_kinds.o user_module.o
+user_lpm_set_attributes.o: modules.o mod_kinds.o user_module.o
+user_module.o: mod_kinds.o user_module.f90
+user_parin.o: modules.o mod_kinds.o user_module.o
+user_read_restart_data.o: modules.o mod_kinds.o user_module.o
+user_spectra.o: modules.o mod_kinds.o user_module.o
+user_statistics.o: modules.o mod_kinds.o user_module.o
